#ifndef HNET_H
#define HNET_H

#include "ts_types.h"

/* a pointer to the array of all internal edges */
extern edge *es;

/* the length of the array of all internal edges */
extern long es_size;

/* procedure hnet creates the array of sequential cycles, selects the
 * representative edge for each of the cycles, and creates the Hopfield
 * network (an array of neurons); it writes the information about the Hopfield
 * network into the file "hnet.txt"
 *
 *     fname     the name of the input .obj file
 */
void hnet ( char *fname ); 

#endif
